---
title: llarp/constants/link_layer.hpp

---

# llarp/constants/link_layer.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::constants](Namespaces/namespacellarp_1_1constants.md)**  |

## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr size_t | **[MAX_LINK_MSG_SIZE](Files/link__layer_8hpp.md#variable-max-link-msg-size)**  |
| constexpr auto | **[DefaultLinkSessionLifetime](Files/link__layer_8hpp.md#variable-defaultlinksessionlifetime)**  |
| constexpr size_t | **[MaxSendQueueSize](Files/link__layer_8hpp.md#variable-maxsendqueuesize)**  |
| constexpr auto | **[LinkLayerConnectTimeout](Files/link__layer_8hpp.md#variable-linklayerconnecttimeout)**  |



## Attributes Documentation

### variable MAX_LINK_MSG_SIZE

```cpp
constexpr size_t MAX_LINK_MSG_SIZE = 8192;
```


### variable DefaultLinkSessionLifetime

```cpp
static constexpr auto DefaultLinkSessionLifetime = 5min;
```


### variable MaxSendQueueSize

```cpp
constexpr size_t MaxSendQueueSize = 1024 * 16;
```


### variable LinkLayerConnectTimeout

```cpp
static constexpr auto LinkLayerConnectTimeout = 5s;
```



## Source code

```cpp
#pragma once
#include <llarp/util/types.hpp>
#include <llarp/util/time.hpp>

#include <cstdlib>

constexpr size_t MAX_LINK_MSG_SIZE = 8192;
static constexpr auto DefaultLinkSessionLifetime = 5min;
constexpr size_t MaxSendQueueSize = 1024 * 16;
static constexpr auto LinkLayerConnectTimeout = 5s;

namespace llarp::constants
{
  static constexpr auto DefaultInboundIWPPort = uint16_t{1090};
}
```


-------------------------------

Updated on 2022-09-10 at 18:17:15 +0000
